body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* =========================

   ZOOMBOX ROOT
========================= */
.n-zoombox {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.85);
  backdrop-filter: blur(5px);
  z-index: 9999;
  padding: 0px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.n-zoombox.active {
  opacity: 1;
  visibility: visible;
}

/* =========================
   IMAGE
========================= */
.n-zoombox #n-zoombox-img {
  max-width: 100%;
  max-height: 65vh;
  border-radius: 2px;
  transition: transform 0.2s ease;
  cursor: zoom-in;
  display: none;
}

/* Zoom states */
.n-zoombox.zoom-mode #n-zoombox-img {
  cursor: zoom-in;
  display: block;
}

.n-zoombox.zoom-mode .n-zoombox-slider {
  display: none;
}

.n-zoombox.zoomed #n-zoombox-img {
  cursor: grab;
}

/* =========================
   CAPTION
========================= */
.n-zoombox .caption {
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  font-size: 15px;
  text-align: center;
  max-width: 90%;
  z-index: 25;
  text-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
}

/* =========================
   HEADER
========================= */
.n-zoombox .n-zoombox-header {
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 8px 20px;
  background: rgba(24, 24, 27, 0.9);
  display: flex;
  gap: 23px;
  align-items: center;
  z-index: 11;
}

/* =========================
   ICON BUTTONS
========================= */
.n-zoombox .zoom-btn,
.n-zoombox .fullscreen-btn,
.n-zoombox .close,
.n-zoombox .slider-play-btn {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent;
  box-shadow: none;
  border: none;
}

.n-zoombox .n-zoombox-header svg {
  width: 20px;
  height: 20px;
}
.n-zoombox .n-zoombox-header svg path{
  fill: #fff;
}
.n-zoombox .zoom-btn.active svg path,
.n-zoombox .fullscreen-btn.active svg path,
.n-zoombox .slider-play-btn.active svg path {
  fill: yellow;
}

/* Toggle zoom icons */
.n-zoombox .n-zoombox-header .zoom-btn svg:last-child {
  display: none;
}

.n-zoombox .n-zoombox-header .zoom-btn.active svg:first-child {
  display: none;
}

.n-zoombox .n-zoombox-header .zoom-btn.active svg:last-child {
  display: block;
}

.n-zoombox .n-zoombox-header .slider-play-btn svg:last-child {
  display: none;
}

.n-zoombox .n-zoombox-header .slider-play-btn.active svg:first-child {
  display: none;
}

.n-zoombox .n-zoombox-header .slider-play-btn.active svg:last-child {
  display: block;
}

/* =========================
   NAVIGATION
========================= */
.n-zoombox .prev,
.n-zoombox .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 45px;
  width: 45px;
  border-radius: 50%;
  background: rgba(48, 48, 49, 0.9);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 1;
  border: none;
  box-shadow: none;
}
.n-zoombox .prev svg,
.n-zoombox .next svg {
  width: 20px;
  height: 20px;
}
.n-zoombox .prev svg path,
.n-zoombox .next svg path {
  fill: #fff;
}
.n-zoombox .prev {
  left: 10px;
  transform: translateY(-50%) rotate(180deg);
}

.n-zoombox .next {
  right: 10px;
}

/* =========================
   THUMBNAILS
========================= */
.n-zoombox .n-zoombox-thumbs {
  display: flex;
  gap: 10px;
  margin-top: 10px;
  margin-bottom: 3px;
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
  padding: 15px;
  max-width: 100%;
  min-height: 60px;
  width: 100%;
  z-index: 11;
  cursor: grab;
  scroll-behavior: smooth;
}

.n-zoombox-thumbs.dragging {
  cursor: grabbing;
  user-select: none;
  scroll-behavior: auto;
}

.n-zoombox .n-zoombox-thumbs img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.6;
  cursor: pointer;
  border-radius: 2px;
  /* transition: all 0.3s ease; */
  flex-shrink: 0;
  outline: 0;
}

/* =========================
   VIDEO SUPPORT
========================= */

.n-zoombox .n-zoombox-slide video,
.n-zoombox .n-zoombox-slide iframe {
  max-height: 65vh;
  max-width: 100%;
  border-radius: 4px;
  transform: scale(0.5);
  transition: 0.4s ease-in-out;
  transition-delay: 0.2s;
}
.n-zoombox.active .n-zoombox-slide video,
.n-zoombox.active .n-zoombox-slide iframe{
  transform: scale(1);
}

/* iframe fix */
.n-zoombox .n-zoombox-slide .n-zoombox-slide-img-wrap:has(iframe){
    max-width: 1164px;
    width: 100%;
    max-height: 65vh;
    height: 100%;
}
.n-zoombox .n-zoombox-slide iframe {
  width: 100%;
  height: 65vh;
}

/* disable pointer block for video */
.n-zoombox .n-zoombox-slide video {
  pointer-events: auto;
}

/* hide zoom image when video */
.n-zoombox.video-mode #n-zoombox-img {
  display: none !important;
}

/* Hack: Center items when there are few, but left-align without hiding the first when they overflow */
.n-zoombox .n-zoombox-thumbs .thumb-btn{
  background: none;
  border: none;
  box-shadow: none;
  padding: 0px;
  margin: 0px;
  height: 60px;
  width: 60px;
  border-radius: 2px;
}
.n-zoombox .n-zoombox-thumbs .thumb-btn:first-child {
  margin-left: auto;
}

.n-zoombox .n-zoombox-thumbs .thumb-btn:last-child {
  margin-right: auto;
}

.n-zoombox-thumbs::-webkit-scrollbar {
  display: none;
}

.n-zoombox .n-zoombox-thumbs .thumb-btn.active {
  opacity: 1;
  outline: 5px solid #00d7ffb3;
}

.n-zoombox .n-zoombox-content {
  position: relative;
  flex: 1 1 auto;
  min-height: 0;
  height: 100%;
  z-index: 10;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

}

.n-zoombox .n-zoombox-content-inner {
  padding: 80px;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.n-zoombox .slider-btn {
  cursor: pointer;
  font-size: 18px;
  margin-left: 10px;
}

.n-zoombox .slider-btn.active {
  color: #1da1c3;
}

/* 🔥 Fade animation */
.n-zoombox #n-zoombox-img {
  transition: opacity 0.4s ease;
}


.n-zoombox .n-zoombox-slider {
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  position: relative;
}

.n-zoombox .n-zoombox-track {
  display: flex;
  transition: transform 0.4s ease;
}

.n-zoombox .n-zoombox-slide {
  min-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.n-zoombox .n-zoombox-slide img {
  max-height: 65vh;
  max-width: 100%;
  height: auto;
  width: auto;
  border-radius: 2px;
  user-select: none;
  pointer-events: none;
  transform: scale(0.5);
  transition: 0.4s ease-in-out;
  transition-delay: 0.2s;
}

.n-zoombox.active .n-zoombox-slide img {
  transform: scale(1);
}

/* Drag cursor */
.n-zoombox .n-zoombox-slider {
  cursor: grab;
}

.n-zoombox .n-zoombox-slider.dragging {
  cursor: grabbing;
}

.n-zoombox .n-image-counter {
  color: #fff;
  position: absolute;
  top: 0;
  left: 0;
  padding: 5px 20px 20px 20px;
  z-index: 11;
}

/* =========================
   FADE MODIFIER
========================= */
.n-zoombox.zoom-fade .n-zoombox-track {
  transform: none !important;
  position: relative;
  width: 100%;
  height: 100%;
}

.n-zoombox.zoom-fade .n-zoombox-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 0.4s ease;
  pointer-events: none;
}

.n-zoombox.zoom-fade .n-zoombox-slide.active {
  opacity: 1;
  pointer-events: auto;
  z-index: 2;
}

/* =========================
   📱 RESPONSIVE
========================= */


/* Tablet */
  body:has(.n-zoombox.active),
  body:has(.n-zoombox.closing) {
    overflow: hidden;
    padding-right: 15px;
    touch-action: none;
  }
  @media(max-width: 1399px) {
    .n-zoombox .n-zoombox-slide .n-zoombox-slide-img-wrap:has(iframe){
      max-width: 1024px;
    }
  }
@media(max-width: 1199px) {
  body:has(.n-zoombox.active),
  body:has(.n-zoombox.closing) {
    padding-right: 0px;
  }
  .n-zoombox .n-zoombox-slide .n-zoombox-slide-img-wrap:has(iframe){
    max-width: 900px;
  }
}
@media (max-width: 991px) {
  .n-zoombox .n-zoombox-slide .n-zoombox-slide-img-wrap:has(iframe){
    max-width: 750px;
  }
  .n-zoombox #n-zoombox-img {
    max-height: 60vh;
  }

  .n-zoombox .prev,
  .n-zoombox .next {
    height: 40px;
    width: 40px;
  }

  .n-zoombox .n-zoombox-content-inner {
    padding: 60px;
  }

}

/* Mobile */
@media (max-width: 575px) {
  .n-zoombox {
    padding: 10px;
  }

  .n-zoombox #n-zoombox-img {
    max-height: 50vh;
  }

  .n-zoombox .n-zoombox-header {
    gap: 20px;
    padding: 10px;
  }
  .n-zoombox .n-zoombox-header svg{
    width: 18px;
    height: 18px;
  }
  .n-zoombox .prev svg, .n-zoombox .next svg{
    height: 15px;
    width: 15px;
  }
  .n-zoombox svg {
    width: 16px;
    height: 16px;
  }

  .n-zoombox .prev,
  .n-zoombox .next {
    height: 35px;
    width: 35px;
  }

  .n-zoombox .n-zoombox-thumbs {
    gap: 10px;
  }

  .n-zoombox .caption {
    font-size: 12px;
  }

  .n-zoombox .prev {
    left: 0;
  }

  .n-zoombox .next {
    right: 0;
  }

  .n-zoombox .n-zoombox-content-inner {
    padding: 40px;
  }

  .n-zoombox .n-zoombox-thumbs img.active {
    opacity: 1;
    outline: 2px solid #00d7ffb3;
  }
}